<?php
require_once('../../../includes/load.php');


//funcion para traer los datos de la base de datos a la tabla listado programa
$convert_utf8 = function ($s) {
         if (!mb_check_encoding($s, 'UTF-8')) {
             $s = utf8_encode($s);
         }
         return $s;
     };
$sql = $db->query("SELECT dp.id as IdDetallePrograma, pr.id as IdPrograma,dp.FechaRegistroDetallePrograma,pr.Campana,g.GNombre,ts.TSNombre,a.ANombre, dp.JornalesOperariosProgramaDiario, dp.JornalesTractoristaProgramaDiario,dp.IdSemanaRptPrograma, pr.EstadoPrograma FROM actividad a INNER JOIN detalleprograma dp ON a.IdActividad = dp.IdActividad INNER JOIN programa pr ON dp.IdPrograma = pr.id INNER JOIN granja g ON pr.IdGranja = g.IdGranja INNER JOIN tiposervicio ts ON pr.IdTipoServicio = ts.IdTipoServicio ORDER BY dp.id DESC LIMIT 10000;;");
$data = array();
while( $rows = mysqli_fetch_assoc($sql) ) {
	$data[] = array_map($convert_utf8, $rows);
}
$results = array(
	"sEcho" => 1,
"iTotalRecords" => count($data),
"iTotalDisplayRecords" => count($data),
  "aaData"=>$data);
echo json_encode($results);
?>